Zum Hauptinhalt springen

List delivery boxes belonging to a Project

GET/v2/projects/{projectId}/delivery-boxes
API-Version
v2
Request-Methode
GET
Operation-ID
mail-list-delivery-boxes

Request​

  • projectIdstringrequired

    ID of the Project to list DeliveryBoxes for.

Responses​

Response-Header
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • authenticationEnabledbooleanrequired
      • descriptionstringrequired
      • idstring (uuid)required
      • namestringrequired
      • passwordUpdatedAtstring (date-time)required
      • projectIdstringrequired
      • sendingEnabledbooleanrequired
      • updatedAtstring (date-time)required
    ]
Content-Type: application/json

[
{
"authenticationEnabled": true,
"description": "string",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"passwordUpdatedAt": "1985-10-26T01:21:00.000Z",
"projectId": "string",
"sendingEnabled": true,
"updatedAt": "1985-10-26T01:21:00.000Z"
}
]
{
"items": {
"properties": {
"authenticationEnabled": {
"type": "boolean"
},
"description": {
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"passwordUpdatedAt": {
"format": "date-time",
"type": "string"
},
"projectId": {
"type": "string"
},
"sendingEnabled": {
"type": "boolean"
},
"updatedAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"name",
"projectId",
"description",
"authenticationEnabled",
"sendingEnabled",
"passwordUpdatedAt",
"updatedAt"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/delivery-boxes?search=string&limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.listDeliveryBoxes({
"projectId": "string",
"queryParameters": {
"search": "string",
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\ListDeliveryBoxes\ListDeliveryBoxesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListDeliveryBoxesRequest(
projectId: "string"
))
->withSearch("string")
->withLimit(50)
->withPage(1);
$response = $client->mail()->listDeliveryBoxes($request);

var_dump($response->getBody();

Auf dieser Seite